Loading...
Searching...
No Matches
VPB_DETECT Struct Reference
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector

Container for programmable tone detector parameters. More...

`#include <vpbapi.h>`

Collaboration diagram for VPB_DETECT:

## Public Attributes

uint16_t | nstates
| number of cadence states
uint16_t | tone_id
| unique ID number for this tone
uint16_t | ntones
| number of tones (1 or 2)
uint16_t | freq1
| freq of first tone (Hz)
uint16_t | bandwidth1
| bandwidth of first tone (Hz)
uint16_t | freq2
| freq of first tone (Hz)
uint16_t | bandwidth2
| bandwidth of second tone (Hz)
int16_t | minlevel1
| min amp of 1st tone ref 0dBm0
int16_t | minlevel2
| min amp of 2nd tone ref 0dbm0
int16_t | twist
| Allowable difference in tone powers.
int16_t | snr
| min signal to noise ratio to accept tone
uint16_t | glitch
| short transitions of glitch ms ignored
VPB_STRAN | stran [VPB_MS]
| cadence state transition table

## Detailed Description

Container for programmable tone detector parameters.